[Rivet-svn] r2624 - trunk/test

blackhole at projects.hepforge.org blackhole at projects.hepforge.org
Fri Jul 30 00:37:47 BST 2010


Author: buckley
Date: Fri Jul 30 00:37:47 2010
New Revision: 2624

Log:
Improving test script

Modified:
   trunk/test/testCmdLine.sh

Modified: trunk/test/testCmdLine.sh
==============================================================================
--- trunk/test/testCmdLine.sh	Fri Jul 30 00:35:56 2010	(r2623)
+++ trunk/test/testCmdLine.sh	Fri Jul 30 00:37:47 2010	(r2624)
@@ -1,7 +1,12 @@
 #! /usr/bin/env bash
 
+if [[ -z "$PYTHON_BUILD_DIR" ]]; then
+    echo "\$PYTHON_BUILD_DIR must be defined" 1>&2
+    exit 1
+fi
 export PYTHONPATH=$(ls -d $PYTHON_BUILD_DIR/lib.*):$PYTHONPATH
 
+
 function _clean() {
     rm -f fifo.hepmc
     rm -f file2.hepmc
@@ -21,18 +26,19 @@
     fi
 }
 
+
 _setup
 
-rivet -a D0_2008_S7554427 testApi.hepmc file2.hepmc > log
+rivet -a D0_2008_S7554427 testApi.hepmc file2.hepmc > log || exit $?
 grep -q "20 events" log
 _check
 
-cat testApi.hepmc | rivet -a D0_2008_S7554427 > log
+cat testApi.hepmc | rivet -a D0_2008_S7554427 > log || exit $?
 grep -q "10 events" log
 _check
 
 cat testApi.hepmc > fifo.hepmc &
-rivet -a D0_2008_S7554427 fifo.hepmc > log
+rivet -a D0_2008_S7554427 fifo.hepmc > log || exit $?
 grep -q "10 events" log
 _check
 _clean


More information about the Rivet-svn mailing list